main/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.urls import path
from django.views.generic import TemplateView

from main.apps import MainConfig
from main.views import index_view, PostListView, PostView, GuideView, TourListView, TourDetailView, check_availability

app_name = MainConfig.name
urlpatterns = [
    path('', index_view, name='index'),
    path('blog/', PostListView.as_view(), name='blog'),
    path('blog/<slug:slug>', PostView.as_view(), name='post'),
    path('guides/<slug:slug>', GuideView.as_view(), name='guide'),
    path('tours/', TourListView.as_view(), name='tours'),
    path('tours/<slug:slug>', TourDetailView.as_view(), name='tour'),
    path('visa-to-russia', TemplateView.as_view(template_name='visa.html'), name='visa'),
              ] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

htmx_urlpatterns = [
    path('check_availability/', check_availability, name='check-availability'),
]

urlpatterns += htmx_urlpatterns

moscowprivatetours/urls.py
from django.conf.urls.i18n import i18n_patterns
from django.urls import path, include

from users.admin import custom_admin_site

urlpatterns = [


    path('admin/', custom_admin_site.urls),



]

urlpatterns += i18n_patterns(
    path('', include('main.urls', namespace='main')),
        path('', include('users.urls', namespace='users')),
    prefix_default_language=False,
)

templates/base.html
{% load static %}
{% load i18n %}
{% load custom_tags %}


<!DOCTYPE html>
{% get_current_language as current_language %}
<html lang="{{ current_language }}">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}Best Private Tours in Moscow {% now "Y" %} - Moscow Private Tours{% endblock %}</title>
    <meta name="description"
          content="{% block description %}Discover the best of Moscow in {% now "Y" %} with private local guides. Explore the top tourist attractions, including the Kremlin, on our exclusive Moscow tours.{% endblock %}">
    <meta name="robots" content="index, follow, max-image-preview:large, max-snippet:-1, max-video-preview:-1">


    {% if current_language == 'en' %}

        <link rel="alternate" href="https://www.moscowprivatetours.com/es{{ request.path }}" hreflang="es">
        <link rel="alternate" href="https://www.moscowprivatetours.com/pt{{ request.path }}" hreflang="pt">
        <link rel="alternate" href="https://www.moscowprivatetours.com/it{{ request.path }}" hreflang="it">
        <link rel="alternate" href="https://www.moscowprivatetours.com/ru{{ request.path }}" hreflang="ru">
        <link rel="alternate" href="https://www.moscowprivatetours.com{{ request.path }}" hreflang="en">
        <link rel="alternate" hreflang="x-default" href="https://www.moscowprivatetours.com{{ request.path }}" >
    {% else %}
        <link rel="alternate" href="https://www.moscowprivatetours.com/es{{ request.path|slice:"3:" }}" hreflang="es">
        <link rel="alternate" href="https://www.moscowprivatetours.com/pt{{ request.path|slice:"3:" }}" hreflang="pt">
        <link rel="alternate" href="https://www.moscowprivatetours.com/it{{ request.path|slice:"3:" }}" hreflang="it">
        <link rel="alternate" href="https://www.moscowprivatetours.com/ru{{ request.path|slice:"3:" }}" hreflang="ru">
        <link rel="alternate" href="https://www.moscowprivatetours.com{{ request.path|slice:"3:" }}" hreflang="en">
        <link rel="alternate" hreflang="x-default" href="https://www.moscowprivatetours.com{{ request.path|slice:"3:" }}" >
    {% endif %}
        <link rel="canonical" href="https://www.moscowprivatetours.com{{ request.path }}" >

    <link rel="icon" type="image/svg+xml" href="{% static 'images/favicon.svg' %}">


    <meta property="og:type" content="website">
    <meta property="og:title" content="{% block titleog %}Best Private Tours in Moscow {% now "Y" %} - Moscow Private Tours{% endblock %}">
    <meta property="og:description"
          content="{% block descriptionog %}Discover the best of Moscow in {% now "Y" %} with private local guides. Explore the top tourist attractions, including the Kremlin, on our exclusive Moscow tours.{% endblock %}">
    <meta property="og:url" content="https://www.moscowprivatetours.com{{ request.path }}">
    <meta property="og:image" content="https://www.moscowprivatetours.com{% static 'images/background.webp' %}">
    <meta property="og:site_name" content="Moscow Private Tours">


{#        Перед продакшн раскомментить   #}

{#    <link href="{% static 'css/output.css' %}" rel="stylesheet">#}
<script src="https://cdn.tailwindcss.com"></script>

    <style type="text/tailwindcss">
        @font-face {
      font-family: 'Raleway';
      src: local('Raleway'), url('static/fonts/raleway.woff2') format('woff2');

    }
        @layer base {
            html {
                font-family: Raleway, system-ui, sans-serif;
            }
        }

        @layer utilities {
            .menu-item {
                @apply block rounded text-xl py-2 pr-4 pl-3 underline-offset-8 hover:bg-gray-100 md:border-0 md:p-0 md:text-white  md:hover:bg-transparent md:hover:underline;
            }

            .flag {
                @apply w-6 h-6;
            }
        }
    </style>

</head>
<body class="min-w-[375px] antialiased">
    {% block content %}{% endblock %}

    {% include 'footer.html' %}

    <script src="{% static 'js/flowbite.min.js' %}" ></script>


</body>
</html>

templates/blog.html
{% extends 'base.html' %}

{% block content %}

{% include './includes/inc_nav_black.html' %}

 <section aria-label="Latest news about travelling to Moscow" class=" py-8 lg:py-12 bg-gray-50">
        <div class="px-4 mx-14  container mx-auto max-w-7xl">
            <h2 class="pb-12 text-2xl tracking-tight font-bold leading-tight text-gray-700 md:text-3xl lg:text-4xl text-center">
                Latest news about travelling to Moscow</h2>
            <div class="max-w-fit mx-auto grid gap-12 sm:grid-cols-2 lg:grid-cols-4">
                {% for post in posts %}
                <article class="max-w-xs">
                    <a href="{{ post.slug }}">
                        <img src="/{{ post.image }}" class="w-64 mb-5 rounded-lg"
                             alt="{{ post.title }}">
                    </a>
                    <h2 class="mb-2 text-xl font-bold leading-tight text-gray-900">
                        <a href="{{ post.slug }}">{{ post.title }}</a>
                    </h2>
                    <p class="mb-4 font-light text-gray-500 dark:text-gray-400">{{ post.header }}</p>
                    <a href="{{ post.slug }}"
                       class="inline-flex items-center font-medium underline underline-offset-4 hover:no-underline">

                        Read more
                       {% include 'includes/icons/right_arrow.html' %}

                    </a>
                </article>

                {% endfor %}

            </div>
        </div>
    </section>

{% endblock %}

templates/contacts.html
{% extends 'base.html' %}

{% block content %}

    {% include './includes/inc_nav_black.html' %}

    <section aria-label="Contacts" class="pt-8 lg:pt-12 bg-gray-50">
        <div class="p-4 mx-auto https://api.whatsapp.com/send?phone=79104576287 ">
            <h1 class="pb-5 text-2xl tracking-tight font-bold leading-tight text-gray-700 md:text-3xl lg:text-4xl text-center">
                Contact Moscow Private Tours</h1>
        </div>


<div class="grid grid-cols-1 md:grid-cols-2 gap-4 max-w-6xl mx-auto">

  <div class="col-span-1 px-4">
          {% if messages %}
        {% for message in messages %}
            {% if message.message == 'OK' %}
            <div class="p-4 mb-4 text-sm text-green-800 rounded-lg bg-green-50" role="alert">
                <span class="font-medium">Your message has been sent!</span> We will get back to you as soon as possible.
            </div>
            {% endif %}
            {% if message.message == 'Error' %}
            <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50" role="alert">
                <span class="font-medium">Something went wrong!</span> Please try again later or contact us by email.
            </div>
            {% endif %}
        {% endfor %}

    {% endif %}
<form method="POST" class="mb-12">
      {% csrf_token %}
    <div class="mx-5 mb-2 grid grid-cols-1 gap-x-8 gap-y-6 sm:grid-cols-2">
        <div class="sm:col-span-2">
        {{ form.as_p }}
        </div>

    </div>
    {% if show_button %}
    <div>
      <button type="submit" class=" block mx-auto rounded-md bg-indigo-600 px-3.5 py-2.5 text-center text-sm font-semibold text-white shadow-sm hover:bg-indigo-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">Send message</button>
    </div>
    {% endif %}



  </form>
  </div>


  <div class=" px-4 mx-auto col-span-1 text-lg sm:text-2xl  lg:text-4xl  text-gray-600" >
      <div class="mt-6 mb-16"><h2 class="mb-4">Email:</h2>
          <a class="underline" href="mailto:info@moscowprivatetours.com">info@moscowprivatetours.com</a>
      </div>
      <div class="my-6">
          <h2 class="mb-4">Phone:</h2>
          <h2>+7 499 2868739</h2>
      </div>
           <div class="my-16">
               <a href="https://api.whatsapp.com/send?phone=79104576287" target="_blank">
          <h2 class="mb-8 flex items-center underline">{% include 'includes/icons/whatsapp.html' %}Start Whatsapp chat</h2></a>
      </div>
  </div>
</div>




</div>



    </section>

{% endblock %}

templates/footer.html
{% load i18n %}
{% get_current_language as current_language %}

<footer class="p-4 md:p-8 lg:p-10 bg-gray-800">
    <div class="mx-auto max-w-screen-xl text-center justify-center">
        <a href="/"
           class="flex justify-center items-center text-2xl font-semibold text-gray-900 dark:text-white">
           {% include 'includes/inc_white_logo.html' %}
        </a>
        <p class="my-6 text-gray-400">{% translate 'Moscow Private Tours is a leading private tours company in Moscow (Russia).' %} </p>
        <ul class="flex flex-wrap justify-center items-center mb-6 text-white">

            <li>
                <a href="#" class="mr-4 hover:underline md:mr-6">{% translate 'About Moscow Private Tours' %}</a>
            </li>
            <li>
                <a href="#" class="mr-4 hover:underline md:mr-6 ">{% translate 'Travel Tips' %}</a>
            </li>


            {% if current_language == 'en' %}
            <li>
                <a href="{% url 'main:blog' %}" class="mr-4 hover:underline md:mr-6">Latest news about travelling to Moscow</a>
            </li>
            {% endif %}
            <li>
                <a href="#" class="mr-4 hover:underline md:mr-6">{% translate 'Privacy Policy' %}</a>
            </li>
            <li>
                <a href="#" class="mr-4 hover:underline md:mr-6">{% translate 'Payment Page' %}</a>
            </li>
            <li>
                <a href="https://www.stpeteprivatetours.com"
                   class="mr-4 hover:underline md:mr-6">{% translate 'Tours in St Petersburg' %}</a>
            </li>
        </ul>
        <span class="text-sm text-gray-400 sm:text-center">© 2011-{% now "Y" %} <a
                href="https://www.moscowprivatetours.com" class="hover:underline">Moscow Private Tours™</a>. {% translate 'All Rights Reserved' %}.</span>
    </div>
</footer>

<div class="fixed right-20 bottom-10 ">
    <a href="https://api.whatsapp.com/send?phone=79104576287" target="_blank">
    <button type="button" data-popover-target="popover-whatsapp"
            class="flex items-center justify-center text-white bg-green-700 rounded-full w-14 h-14 hover:bg-green-800  focus:ring-4 focus:ring-green-300 focus:outline-none ">
        <svg class="w-8 h-8" viewBox="-0.117 0 60 60">
            <path d="M1.277 60A1.277 1.277 0 0 1 0.045 58.386l3.901 -14.244C1.517 39.751 0.237 34.784 0.239 29.741 0.246 13.342 13.591 0 29.989 0c7.954 0.003 15.427 3.101 21.044 8.723 5.616 5.622 8.708 13.095 8.706 21.042 -0.007 16.4 -13.353 29.742 -29.75 29.742h-0.013c-4.789 -0.002 -9.538 -1.169 -13.766 -3.38L1.6 59.958c-0.107 0.028 -0.216 0.042 -0.324 0.042zm0 0"
                  fill="#e5e5e5"/>
            <path d="m1.277 58.723 4.039 -14.75c-2.492 -4.317 -3.802 -9.214 -3.8 -14.231C1.522 14.046 14.295 1.277 29.989 1.277c7.616 0.003 14.765 2.968 20.141 8.348 5.376 5.381 8.335 12.533 8.332 20.139 -0.007 15.695 -12.781 28.466 -28.473 28.466 -0.001 0 0 0 0 0h-0.012c-4.765 -0.002 -9.447 -1.197 -13.606 -3.465zm15.793 -9.111 0.865 0.512c3.633 2.156 7.798 3.296 12.046 3.299h0.009c13.044 0 23.66 -10.615 23.665 -23.66 0.002 -6.322 -2.457 -12.267 -6.925 -16.739 -4.469 -4.472 -10.41 -6.936 -16.732 -6.939C16.944 6.085 6.328 16.698 6.323 29.743c-0.002 4.47 1.249 8.824 3.618 12.591l0.563 0.895 -2.391 8.73zm0 0"
                  fill="#fff"/>
            <path d="m2.267 57.729 3.9 -14.241c-2.406 -4.167 -3.671 -8.896 -3.669 -13.738 0.006 -15.152 12.337 -27.479 27.487 -27.479 7.354 0.003 14.255 2.865 19.444 8.059 5.19 5.194 8.047 12.099 8.044 19.441 -0.006 15.152 -12.338 27.481 -27.486 27.481 -0.001 0 0 0 0 0h-0.012c-4.6 -0.002 -9.12 -1.156 -13.135 -3.345zm0 0"
                  fill="#64b161"/>
            <g fill="#fff">
                <path d="m1.277 58.723 4.039 -14.75c-2.492 -4.317 -3.802 -9.214 -3.8 -14.231C1.522 14.046 14.295 1.277 29.989 1.277c7.616 0.003 14.765 2.968 20.141 8.348 5.376 5.381 8.335 12.533 8.332 20.139 -0.007 15.695 -12.781 28.466 -28.473 28.466 -0.001 0 0 0 0 0h-0.012c-4.765 -0.002 -9.447 -1.197 -13.606 -3.465zm15.793 -9.111 0.865 0.512c3.633 2.156 7.798 3.296 12.046 3.299h0.009c13.044 0 23.66 -10.615 23.665 -23.66 0.002 -6.322 -2.457 -12.267 -6.925 -16.739 -4.469 -4.472 -10.41 -6.936 -16.732 -6.939C16.944 6.085 6.328 16.698 6.323 29.743c-0.002 4.47 1.249 8.824 3.618 12.591l0.563 0.895 -2.391 8.73zm0 0"/>
                <path d="M22.873 17.841c-0.533 -1.185 -1.094 -1.208 -1.601 -1.229 -0.415 -0.018 -0.889 -0.017 -1.363 -0.017 -0.474 0 -1.245 0.179 -1.897 0.89 -0.652 0.712 -2.491 2.433 -2.491 5.934 0 3.501 2.55 6.883 2.905 7.359 0.356 0.475 4.922 7.888 12.153 10.74 6.01 2.37 7.233 1.899 8.537 1.78 1.305 -0.119 4.209 -1.721 4.802 -3.383 0.593 -1.661 0.593 -3.085 0.415 -3.383 -0.178 -0.296 -0.652 -0.474 -1.364 -0.83 -0.711 -0.356 -4.209 -2.077 -4.862 -2.314 -0.652 -0.238 -1.127 -0.356 -1.601 0.357 -0.475 0.711 -1.837 2.314 -2.252 2.788 -0.415 0.476 -0.83 0.535 -1.542 0.179 -0.711 -0.357 -3.003 -1.107 -5.721 -3.531 -2.115 -1.886 -3.543 -4.215 -3.958 -4.927 -0.415 -0.711 -0.007 -1.063 0.313 -1.452 0.575 -0.7 1.541 -1.958 1.778 -2.433 0.237 -0.475 0.119 -0.89 -0.059 -1.247 -0.178 -0.356 -1.561 -3.874 -2.193 -5.281zm0 0"
                      fill-rule="evenodd"/>
            </g>
        </svg>
        <div data-popover id="popover-whatsapp" role="tooltip"
             class="absolute z-10 invisible inline-block w-40 text-sm text-gray-500 transition-opacity duration-300 bg-white border border-gray-200 rounded-lg shadow-sm opacity-0">

            <div class="px-3 py-2">
                <p>Start Whatsapp chat</p>
            </div>
            <div data-popper-arrow></div>
        </div>

    </button>
    </a>
</div>

templates/guide.html
{% extends 'base.html' %}



{% block content %}

{% include './includes/inc_nav_black.html' %}

 <section aria-label="{{ guide.name }}" class="py-8  ">
        <div class="p-4 mx-auto max-w-screen-xl ">
            <h1 class="pb-5 text-2xl tracking-tight font-bold leading-tight text-gray-700 md:text-3xl lg:text-4xl text-center">
                {{ guide.name }}</h1>


            <div class="grid lg:grid-cols-3">
                <div class="col-span-1">
                    <img src="/{{ guide.image }}" class="w-auto mb-2 mr-5 rounded-lg"
                             alt="{{ guide.title }}">
                </div>
                <div class="col-span-2">
                    <ul class="flex mb-4">
                            {% if guide.is_english %}
                                <li>
                                    {% include 'includes/icons/en_flag.html' %}
                                </li>
                            {% endif %}
                            {% if guide.is_spanish %}
                                <li>
                                    {% include 'includes/icons/es_flag.html' %}
                                </li>
                            {% endif %}

                            {% if guide.is_portugues %}
                                <li>
                                    {% include 'includes/icons/pt_flag.html' %}
                                </li>
                            {% endif %}

                            {% if guide.is_italian %}
                                <li>
                                    {% include 'includes/icons/it_flag.html' %}
                                </li>
                            {% endif %}
                            {% if guide.is_french %}
                                <li>
                                    {% include 'includes/icons/fr_flag.html' %}
                                </li>
                            {% endif %}
                            {% if guide.is_german %}
                                <li>
                                    {% include 'includes/icons/de_flag.html' %}
                                </li>
                            {% endif %}
                            {% if guide.is_russian %}
                                <li>
                                    {% include 'includes/icons/ru_flag.html' %}
                                </li>
                            {% endif %}

                        </ul>

                    {{ guide.description|safe }}
                    {% if guide.review1_author is not None %}

                    <h3 class="py-5 text-2xl tracking-tight font-bold leading-tight text-gray-700 md:text-3xl lg:text-4xl">What other tourists say about {{ guide.name }}?</h3>

                        <p class="italic">"{{ guide.review1_text }}"</p>
                        <p class="flex justify-end max-w-fit pt-5 ml-auto ">{% include 'includes/icons/five_stars.html' %}</p>
                        <p class="font-bold text-right pb-10">{{ guide.review1_author }}</p>

                        <p class="italic">"{{ guide.review2_text }}"</p>
                        <p class="flex justify-end max-w-fit pt-5 ml-auto ">{% include 'includes/icons/five_stars.html' %}</p>
                        <p class="font-bold text-right pb-10">{{ guide.review2_author }}</p>

                        <p class="italic">"{{ guide.review3_text }}"</p>
                        <p class="flex justify-end max-w-fit pt-5 ml-auto ">{% include 'includes/icons/five_stars.html' %}</p>
                        <p class="font-bold text-right pb-10">{{ guide.review3_author }}</p>

                {% endif %}


                </div>
            </div>


            </div>

    </section>

{% endblock %}

templates/post.html
{% extends 'base.html' %}



{% block content %}
    <div>
{% include './includes/inc_nav_black.html' %}

 <aside aria-label="{{ post.title }}" class="py-8 lg:py-12 bg-gray-50">
        <div class="p-4 mx-auto max-w-3xl antialiased">
            <h1 class="pb-5 text-2xl tracking-tight font-bold leading-tight text-gray-700 md:text-3xl lg:text-4xl ">
                {{ post.title }}</h1>


                <article>
                    <p class="pb-3">{{ post.created_date }}</p>
                    <h2 class="mb-4 text-xl font-light text-gray-500">{{ post.header }}</h2>

                        <img src="/{{ post.image }}" class="w-64 mb-2 mr-5 rounded-lg float-left"
                             alt="{{ post.title }}">

                    <p>{{ post.body|safe }}</p>

                    <a href="{% url 'main:blog' %}"
                       class="pt-5 inline-flex items-center font-medium underline underline-offset-4 hover:no-underline">
                        {% include 'includes/icons/left_arrow.html' %}
                        Back to Blog


                    </a>
                </article>
            </div>

    </aside>
    </div>
{% endblock %}

templates/tours.html
{% extends 'base.html' %}

{% load i18n %}
{% load custom_tags %}

{% block content %}

{% include './includes/inc_nav_black.html' %}

<section class="bg-white" id="tours">
        <div class="py-4 px-4 mx-auto max-w-screen-xl  lg:px-6">
            <div class="mx-auto py-8 max-w-screen-sm lg:mb-16 text-center">
                <h2 class="mb-4 text-4xl tracking-tight font-bold text-gray-700 ">{% translate 'Our Top Moscow Tours' %}</h2>
                <p class="font-light text-gray-500 sm:text-xl">{% translate 'Genuine. Flexible. Private.' %}</p>
            </div>

            <div class="grid pb-8 gap-8 lg:gap-16 sm:grid-cols-1 md:grid-cols-2 lg:grid-cols-3">
                {% for tour in tours %}
                    <div class=" text-gray-500  rounded-b-3xl rounded-t-3xl shadow">
                        <a href="{% url 'main:tour' tour.slug %}">
                            <img class="mx-auto mb-4 rounded-t-3xl "
                                 src="/{{ tour.image }}" alt="{{ tour.title }}"></a>

                        <div class="px-5">

                            <a href="{% url 'main:tour' tour.slug %}">
                                <h5 class="mb-2 text-2xl font-bold tracking-tight text-gray-900">{{ tour.title }}</h5>
                            </a>
                            <p class="mb-3 font-normal text-gray-700">{{ tour.header }}</p>

                            <ul class="p-2 max-w-md space-y-2 text-gray-500 list-inside">
                                <li class="flex items-center">
                                    {% include 'includes/icons/'|add:tour.feature1_icon|add:'.html' %}
                                    {{ tour.feature1 }}
                                </li>

                                <li class="flex items-center">
                                    {% include 'includes/icons/'|add:tour.feature2_icon|add:'.html' %}
                                    {{ tour.feature2 }}
                                </li>

                                <li class="flex items-center">
                                    {% include 'includes/icons/'|add:tour.feature3_icon|add:'.html' %}
                                    {{ tour.feature3 }}
                                </li>

                                <li class="flex items-center">
                                    {% include 'includes/icons/'|add:tour.feature4_icon|add:'.html' %}
                                    {{ tour.feature4 }}
                                </li>

                            </ul>
                            <div class="flex items-center justify-between  my-4">
                        <span class="text-3xl font-semibold text-gray-900 font-sans">{{ tour.rate|intpoint }}<span
                                class="text-xl">₽</span></span>
                                <a href="{% url 'main:tour' tour.slug %}"
                                   class="inline-flex text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center ">More
                                    details
                                    {% include 'includes/icons/right_arrow.html' %}
                                </a>
                            </div>
                        </div>
                    </div>
                {% endfor %}

            </div>
        </div>
    </section>

{% endblock %}

templates/visa.html
{% extends 'base.html' %}

{% block content %}

{% include './includes/inc_nav_black.html' %}

 <section aria-label="Russian Visa Invitation Online Form" class="py-8 lg:py-12 bg-gray-50">
        <div class="p-4 mx-auto max-w-screen-xl ">
            <h1 class="pb-5 text-2xl tracking-tight font-bold leading-tight text-gray-700 md:text-3xl lg:text-4xl text-center">
                Russian Visa Invitation Online</h1>
        </div>

     <div>
         <script type="text/javascript"> (function(w){     var q=[         ['setContext', 'TL-VISA-EXPRESS', 'en'],         ['embed', 'visa-support-form', {container: 'tl-visa-form', provider: '3542'}]     ];     var t=w.travelline=(w.travelline||{}),ti=t.integration=(t.integration||{});ti.__cq=ti.__cq?ti.__cq.concat(q):q;     if (!ti.__loader){         ti.__loader = true;         var d=w.document,p=d.location.protocol,s=d.createElement('script');         s.type ='text/javascript';         s.async = true;         s.src=(p=='https:'?p:'http:')+'//ibe.tlintegration.com/integration/loader.js';         (d.getElementsByTagName('head')[0]||d.getElementsByTagName('body')[0]).appendChild(s);     } })(window);</script>
     </div>


    </section>

{% endblock %}